Subject: Re: sh files
From: Jean-Claude Gervais <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Oct 2006 14:47:30 -0500

Could be, but I would wager his problems stem from not having the
current folder (dot) in his path...
J

On Mon, 2006-10-30 at 19:44 +0000, DePriest, Jason R. wrote:
>                              From: 
> DePriest, Jason R.
> <[email-masked]>
>                                To: 
> [email-masked]
>                           Subject: 
> Re: sh files
>                              Date: 
> Mon, 30 Oct 2006 19:44:15 +0000
> (14:44 EST)
> 
> 
> > On 10/30/06, dubcek <> wrote:
> >
> > Thanks Eric. Unfortunately, your remedy did not work. As I mentioned
> in my
> > original mail, all my .sh files were made under unix. But I tried
> d2u anyway
> > (you never know), but I got the same result.
> 
> What does a hex view of your shell script say the line ending are?
> 
> For example, I have a working script and my line endings are \x0A
> 
> My Windows-y scripts all have \x0D\x0A
> 
> You can try u2d, then d2u to see if that can clean up wonky line
> endings.
> 
> > Here is an example of one of my unsophisticated .sh files; it was
> intended
> > to clean up after a latex session:
> > rm *.div *.aux *.log
> 
> rm is actually in your path, yes?
> 
> > when I run the clean.sh (this was the name I gave to it), I get the
> 'command
> > not found' error reply.
> 
> This is the same error you get when bash doesn't understand the line
> endings.  What sort of mount (binary vs. text) are your shells scripts
> on?
> 
> What shell do you run?  The stuff we are talking about is all bash.
> 
> You may also want to observe http://cygwin.com/problems.html so you
> can send the appropriate attachment to the list to give folks the
> information they need to help you. 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/